Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005731opensim[GRID] Grid Servicepublic2011-10-05 18:222013-05-13 16:43
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005731: Starting in Dev Master r16799 Robust changes totally broke Diva's Wifi web server plug-in
DescriptionA change in Robust starting in Dev Master rev 16799 makes Diva's WIFI web front end plug-in no longer work.

The Diva WIFI or Robust will have to be changed to make this work again.

See error log included below in additional information.


Additional Information1.
2011-10-05 19:25:35,966 DEBUG - OpenSim.Services.AvatarService.AvatarService [AVATAR SERVICE]: Starting avatar service

 2.
2011-10-05 19:25:35,968 ERROR - OpenSim.Server.Base.ServerUtils Error loading plugin from Diva.Wifi.dll, exception System.MissingMethodException: Method not found: 'Void OpenSim.Services.Interfaces.UserAccount..ctor(OpenMetaverse.UUID, System.String, System.String, System.String)'.

 3.
   at Diva.Wifi.Services.CreateGod()

 4.
   at Diva.Wifi.Services..ctor(IConfigSource config, String configName, WebApp webApp)

 5.
   at Diva.Wifi.WebApp..ctor(IConfigSource config, String configName, IHttpServer server)

 6.
   at Diva.Wifi.WifiServerConnector..ctor(IConfigSource config, IHttpServer server, String configName)

 7.
2011-10-05 19:25:35,972 INFO - OpenSim.Server.OpenSimServer [SERVER]: Failed to load Diva.Wifi.dll:WifiServerConnector

 8.
 
TagsNo tags attached.
Git Revision or version numberr16799
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0020113)
kenvc (reporter)
2011-10-05 19:30

Changes done in rev 16810 appear to have corrected this issue in Robust. At least it loads Diva's Wifi again now.

Doing further testing to make sure nothing else is broke.
(0020130)
kenvc (reporter)
2011-10-08 06:01

This issue does appear to be totally resolved now starting with rev 16810.
(0020131)
kenvc (reporter)
2011-10-08 06:03

resolved now starting with rev 16810

- Issue History
Date Modified Username Field Change
2011-10-05 18:22 kenvc New Issue
2011-10-05 18:22 kenvc Git Revision => r16799
2011-10-05 18:22 kenvc Run Mode => Grid (Multiple Regions per Sim)
2011-10-05 18:22 kenvc Physics Engine => ODE
2011-10-05 18:22 kenvc Environment => .NET / Windows64
2011-10-05 18:22 kenvc Mono Version => None
2011-10-05 18:22 kenvc Viewer => N/A
2011-10-05 19:30 kenvc Note Added: 0020113
2011-10-08 06:01 kenvc Note Added: 0020130
2011-10-08 06:03 kenvc Status new => resolved
2011-10-08 06:03 kenvc Resolution open => fixed
2011-10-08 06:03 kenvc Assigned To => kenvc
2011-10-08 06:03 kenvc Note Added: 0020131
2013-05-13 16:43 kenvc Status resolved => closed
2013-05-13 16:43 kenvc Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker